Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface BeanBlockOverrideSource

All Known Implementing Classes:
  BeanBlockOverrideSourceImpl

    @UsesConfiguration(value=BeanBlockContribution.class)
    public interface BeanBlockOverrideSource

Used to override the default `BeanBlockSource` for a particular data type. The service accepts the same configuration of `BeanBlockContribution`s as the main service.

Method Summary
`Block` | `getDisplayBlock(java.lang.String datatype)` Returns a block which can be used to render output for the given data type.
`Block` | `getEditBlock(java.lang.String datatype)` Returns a block which can be used to render an editor for the given data type, in the form of a field label and input field.
`boolean` | `hasDisplayBlock(java.lang.String datatype)` Checks to see if there is a display block for the indicated data type.

Method Detail

### getEditBlock

    Block getEditBlock(java.lang.String datatype)

  Returns a block which can be used to render an editor for the given data type, in the form of a field label and input field.

  Parameters:
    `datatype` - logical name for the type of data to be displayed
  Returns:
    the Block
  Throws:
    `null` - if no override is available

### getDisplayBlock

    Block getDisplayBlock(java.lang.String datatype)

  Returns a block which can be used to render output for the given data type.

  Parameters:
    `datatype` - logical name for the type of data to be displayed
  Returns:
    the Block
  Throws:
    `null` - if no override is available

### hasDisplayBlock

    boolean hasDisplayBlock(java.lang.String datatype)

  Checks to see if there is a display block for the indicated data type.

  Parameters:
    `datatype` - to check for
  Returns:
    true if an override display block is available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.